Show / Hide Table of Contents

# Enum ComponentType

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public enum ComponentType : byte

### Fields

Name | Description
--- | ---
Base |
Button |
CheckBox |
DragDrop |
DropDownList |
GaugeBar |
GuildLeveCard |
HoldButton |
Icon |
IconText |
JournalCanvas |
List |
ListItemRenderer |
Map |
Multipurpose |
NumericInput |
Preview |
RadioButton |
ScrollBar |
Slider |
Tab |
TextInput |
TextNineGrid |
TreeList |
Window |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()